import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';
import { optionsListApi } from '/@/api/tigerapi/wms/wms_item';
import { h } from 'vue';
import { Tag } from 'ant-design-vue';

export const columns: BasicColumn[] = [
  {
    title: '条码',
    dataIndex: 'SN',
    width:300,
    sorter: true,
    resizable:true
  },
  {
    title: '物料代码',
    dataIndex: 'ITEM_CODE',
    width: 200,
    sorter: true,
    resizable:true
  },
  {
    title: '送货单',
    dataIndex: 'TRANS_NO',
    sorter: true,
    resizable:true
  },
  {
    title: '数量',
    dataIndex: 'QTY',
    sorter: true,
    resizable:true
  },
  {
    title: '中包条码',
    dataIndex: 'CARTON_NO',
    sorter: true,
    resizable:true
  },
  {
    title: '大包条码',
    dataIndex: 'PALLET_NO',
    sorter: true,
    resizable:true
  },
  // {
  //   title: '储存状态',
  //   dataIndex: 'STATUS',
  //   width: 180,
  //   resizable:true,
  //   customRender: ({ record }) => {
  //     const status = record.STATUS;
  //     let text = '';
  //     let color = '';
  //     switch (status) {
  //       case 0:
  //         text = '不存在';
  //         color = 'green';
  //         break;
  //       case 10:
  //         text = '送货中';
  //         color = 'blue';
  //         break;
  //       case 20:
  //         text = '待检验';
  //         color = 'green';
  //         break;
  //       case 30:
  //         text = '待入库';
  //         color = 'blue';
  //         break;
  //       case 40:
  //         text = '在库中';
  //         color = 'blue';
  //         break;
  //       case 50:
  //         text = '已下架';
  //         color = 'green';
  //         break;
  //       case 60:
  //         text = '已发料';
  //         color = 'red';
  //         break;
  //       case 70:
  //         text = '已上料';
  //         color = 'red';
  //         break;
  //       case 80:
  //         text = '已耗尽';
  //         color = 'green';
  //         break;
  //       case 90:
  //         text = '已退料';
  //         color = 'green';
  //         break;
  //       case 100:
  //         text = '已发货';
  //         color = 'green';
  //         break;
  //       default:
  //         break;
  //     }
  //     return h(Tag, { color: color }, () => text);
  //   },
  //   sorter: true,
  // },
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'TRANS_NO',
    label: '送货单',
    component: 'Input',
    colProps: { span: 8 },
  }
];
